# NVProgram (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengl
Class NVProgram

    java.lang.Object
      org.lwjgl.opengl.NVProgram

Direct Known Subclasses:
  NVFragmentProgram, NVVertexProgram

    public class NVProgram

extends java.lang.Object

Field Summary
`static int` `GL_PROGRAM_ERROR_POSITION_NV` Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static int` `GL_PROGRAM_ERROR_STRING_NV` Accepted by the <name> parameter of GetString:
`static int` `GL_PROGRAM_LENGTH_NV` Accepted by the <pname> parameter of GetProgramivNV:
`static int` `GL_PROGRAM_RESIDENT_NV` Accepted by the <pname> parameter of GetProgramivNV:
`static int` `GL_PROGRAM_STRING_NV` Accepted by the <pname> parameter of GetProgramStringNV:
`static int` `GL_PROGRAM_TARGET_NV` Accepted by the <pname> parameter of GetProgramivNV:

Constructor Summary
`NVProgram()`

Method Summary
`static boolean` `glAreProgramsResidentNV(java.nio.IntBuffer programIDs, java.nio.ByteBuffer programResidences)`
`static void` `glBindProgramNV(int target, int programID)`
`static void` `glDeleteProgramsNV(int program)` Overloads glDeleteProgramsNV.
`static void` `glDeleteProgramsNV(java.nio.IntBuffer programs)`
`static int` `glGenProgramsNV()` Overloads glGenProgramsNV.
`static void` `glGenProgramsNV(java.nio.IntBuffer programs)`
`static int` `glGetProgramiNV(int programID, int parameterName)` Overloads glGetProgramivNV.
`static int` `glGetProgramNV(int programID, int parameterName)` Deprecated. Will be removed in 3.0. Use `glGetProgramiNV(int, int)` instead.
`static void` `glGetProgramNV(int programID, int parameterName, java.nio.IntBuffer params)`
`static java.lang.String` `glGetProgramStringNV(int programID, int parameterName)` Overloads glGetProgramStringNV.
`static void` `glGetProgramStringNV(int programID, int parameterName, java.nio.ByteBuffer paramString)`
`static boolean` `glIsProgramNV(int programID)`
`static void` `glLoadProgramNV(int target, int programID, java.nio.ByteBuffer string)`
`static void` `glLoadProgramNV(int target, int programID, java.lang.CharSequence string)` Overloads glLoadProgramNV.
`static void` `glRequestResidentProgramsNV(int programID)` Overloads glRequestResidentProgramsNV.
`static void` `glRequestResidentProgramsNV(java.nio.IntBuffer programIDs)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_PROGRAM_TARGET_NV

    public static final int GL_PROGRAM_TARGET_NV

  Accepted by the <pname> parameter of GetProgramivNV:

  See Also:
    Constant Field Values

### GL_PROGRAM_LENGTH_NV

    public static final int GL_PROGRAM_LENGTH_NV

  Accepted by the <pname> parameter of GetProgramivNV:

  See Also:
    Constant Field Values

### GL_PROGRAM_RESIDENT_NV

    public static final int GL_PROGRAM_RESIDENT_NV

  Accepted by the <pname> parameter of GetProgramivNV:

  See Also:
    Constant Field Values

### GL_PROGRAM_STRING_NV

    public static final int GL_PROGRAM_STRING_NV

  Accepted by the <pname> parameter of GetProgramStringNV:

  See Also:
    Constant Field Values

### GL_PROGRAM_ERROR_POSITION_NV

    public static final int GL_PROGRAM_ERROR_POSITION_NV

  Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

### GL_PROGRAM_ERROR_STRING_NV

    public static final int GL_PROGRAM_ERROR_STRING_NV

  Accepted by the <name> parameter of GetString:

  See Also:
    Constant Field Values

Constructor Detail

### NVProgram

    public NVProgram()

Method Detail

### glLoadProgramNV

    public static void glLoadProgramNV(int target,
                                       int programID,
                                       java.nio.ByteBuffer string)

### glLoadProgramNV

    public static void glLoadProgramNV(int target,
                                       int programID,
                                       java.lang.CharSequence string)

  Overloads glLoadProgramNV.

### glBindProgramNV

    public static void glBindProgramNV(int target,
                                       int programID)

### glDeleteProgramsNV

    public static void glDeleteProgramsNV(java.nio.IntBuffer programs)

### glDeleteProgramsNV

    public static void glDeleteProgramsNV(int program)

  Overloads glDeleteProgramsNV.

### glGenProgramsNV

    public static void glGenProgramsNV(java.nio.IntBuffer programs)

### glGenProgramsNV

    public static int glGenProgramsNV()

  Overloads glGenProgramsNV.

### glGetProgramNV

    public static void glGetProgramNV(int programID,
                                      int parameterName,
                                      java.nio.IntBuffer params)

### glGetProgramNV

    @Deprecated
    public static int glGetProgramNV(int programID,
                                                int parameterName)

  Deprecated. Will be removed in 3.0. Use `glGetProgramiNV(int, int)` instead.

  Overloads glGetProgramivNV.

### glGetProgramiNV

    public static int glGetProgramiNV(int programID,
                                      int parameterName)

  Overloads glGetProgramivNV.

### glGetProgramStringNV

    public static void glGetProgramStringNV(int programID,
                                            int parameterName,
                                            java.nio.ByteBuffer paramString)

### glGetProgramStringNV

    public static java.lang.String glGetProgramStringNV(int programID,
                                                        int parameterName)

  Overloads glGetProgramStringNV.

### glIsProgramNV

    public static boolean glIsProgramNV(int programID)

### glAreProgramsResidentNV

    public static boolean glAreProgramsResidentNV(java.nio.IntBuffer programIDs,
                                                  java.nio.ByteBuffer programResidences)

### glRequestResidentProgramsNV

    public static void glRequestResidentProgramsNV(java.nio.IntBuffer programIDs)

### glRequestResidentProgramsNV

    public static void glRequestResidentProgramsNV(int programID)

  Overloads glRequestResidentProgramsNV.

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.